summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--BUILD/FINISH.sh6
-rw-r--r--netware/mysqld.xdcbin0 -> 128 bytes
-rw-r--r--sql/opt_range.cc14
3 files changed, 7 insertions, 13 deletions
diff --git a/BUILD/FINISH.sh b/BUILD/FINISH.sh
index 82f31a14dc4..5358667b881 100644
--- a/BUILD/FINISH.sh
+++ b/BUILD/FINISH.sh
@@ -13,7 +13,11 @@ commands="\
$make -k clean || true
/bin/rm -f */.deps/*.P config.cache innobase/config.cache bdb/build_unix/config.cache
-aclocal && autoheader && aclocal && automake && autoconf
+if [ ! aclocal ] ; then echo \"Can't execute aclocal\" ; exit 1; fi
+if [ ! autoheader ] ; then echo \"Can't execute autoheader\" ; exit 1; fi
+if [ ! aclocal ] ; then echo \"Can't execute aclocal\" ; exit 1; fi
+if [ ! automake ] ; then echo \"Can't execute automake\" ; exit 1; fi
+if [ ! autoconf ] ; then echo \"Can't execute autoconf\" ; exit 1; fi
(cd bdb/dist && sh s_all)
(cd innobase && aclocal && autoheader && aclocal && automake && autoconf)
if [ -d gemini ]
diff --git a/netware/mysqld.xdc b/netware/mysqld.xdc
new file mode 100644
index 00000000000..12a7f6ba2df
--- /dev/null
+++ b/netware/mysqld.xdc
Binary files differ
diff --git a/sql/opt_range.cc b/sql/opt_range.cc
index 879c75eb2e2..9c546c99057 100644
--- a/sql/opt_range.cc
+++ b/sql/opt_range.cc
@@ -501,10 +501,11 @@ SEL_ARG *SEL_ARG::last()
return next_arg;
}
+
/*
Check if a compare is ok, when one takes ranges in account
Returns -2 or 2 if the ranges where 'joined' like < 2 and >= 2
- */
+*/
static int sel_cmp(Field *field, char *a,char *b,uint8 a_flag,uint8 b_flag)
{
@@ -1020,17 +1021,6 @@ get_mm_leaf(PARAM *param, Field *field, KEY_PART *key_part,
if (value->save_in_field(field, 1) > 0)
{
/* This happens when we try to insert a NULL field in a not null column */
- // TODO; Check if we can we remove the following block.
- if (type == Item_func::EQUAL_FUNC)
- {
- /* convert column_name <=> NULL -> column_name IS NULL */
- // Get local copy of key
- char *str= (char*) alloc_root(param->mem_root,1);
- if (!str)
- DBUG_RETURN(0);
- *str= 1;
- DBUG_RETURN(new SEL_ARG(field,str,str));
- }
DBUG_RETURN(&null_element); // cmp with NULL is never true
}
// Get local copy of key